
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《C++ Primer Plus（第6版）中文版》——1.4 程序创建的技巧 / iVAN</title>

    <meta name="description" content="《C++ Primer Plus（第6版）中文版》——1.4 程序创建的技巧 1.4 程序创建的技巧 假设您编写了一个C++程序.如何让它运行起来呢?具体的步骤取决于计算机环境和使用的C++编译器,但大体如下(参见图1.3). 1．使用文本编辑器编写程序,并将其保存到文件中,这个文件就是程序的源代码. 2．编译源代码.这意味着运行一个程序,将源代码翻译为主机使用的内部语言--机器语言.包含了翻译后的程序的文件就是程序的目标代码(object code). 3．将目标代码与其他代码链接起来.例如,C++程序通常使用库.C++库包含一系列计算机例程(被称为函数)的目标代码,这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《C++ Primer Plus（第6版）中文版》——1.4 程序创建的技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.4 程序创建的技巧</h3>
<p>假设您编写了一个C++程序。如何让它运行起来呢？具体的步骤取决于计算机环境和使用的C++编译器，但大体如下（参见图1.3）。</p>
<p>1．使用文本编辑器编写程序，并将其保存到文件中，这个文件就是程序的源代码。</p>
<p>2．编译源代码。这意味着运行一个程序，将源代码翻译为主机使用的内部语言——机器语言。包含了翻译后的程序的文件就是程序的目标代码（object code）。</p>
<p>3．将目标代码与其他代码链接起来。例如，C++程序通常使用库。C++库包含一系列计算机例程（被称为函数）的目标代码，这些函数可以执行诸如在屏幕上显示信息或计算平方根等任务。链接指的是将目标代码同使用的函数的目标代码以及一些标准的启动代码（startup code）组合起来，生成程序的运行阶段版本。包含该最终产品的文件被称为可执行代码。<br /><a href="https://yqfile.alicdn.com/ccf5a6d3ff54d83349517cdc247f85d78a6208f7.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2NjZjVhNmQzZmY1NGQ4MzM0OTUxN2NkYzI0N2Y4NWQ3OGE2MjA4ZjcucG5n.jpg"></a></p>
<p>本书将不断使用术语源代码，请记住该术语。</p>
<p>本书的程序都是通用的，可在任何支持C++98的系统中运行；但第18章的程序要求系统支持C++11。编写本书期间，有些编译器要求您使用特定的标记，让其支持部分C++11特性。例如，从4.3版起，g++要求您编译源代码文件时使用标记-std=c++0x：</p>
<p><a href="https://yqfile.alicdn.com/0a015750c74588448dfb7d7ad43d7cfbb27e1c96.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzBhMDE1NzUwYzc0NTg4NDQ4ZGZiN2Q3YWQ0M2Q3Y2ZiYjI3ZTFjOTYucG5n.jpg"></a></p>
<p>创建程序的步骤可能各不相同，下面深入介绍这些步骤。</p>
<p>1.4.1 创建源代码文件<br />
本书余下的篇幅讨论源代码文件中的内容；本节讨论创建源代码文件的技巧。有些C++实现（如Microsoft Visual C++、Embarcadero C++ Builder、Apple Xcode、Open Watcom C++、Digital Mars C++和Freescale CodeWarrior）提供了集成开发环境（integrated development environments，IDE），让您能够在主程序中管理程序开发的所有步骤，包括编辑。有些实现（如用于UNIX和Linux的GNU C++、用于AIX的IBM XL C/C++、Embarcadero分发的Borland 5.5免费版本以及Digital Mars编译器）只能处理编译和链接阶段，要求在系统命令行输入命令。在这种情况下，可以使用任何文本编辑器来创建和修改源代码。例如，在UNIX系统上，可以使用vi、ed、ex或emacs；在以命令提示符模式运行的Windows系统上，可以使用edlin、edit或任何程序编辑器。如果将文件保存为标准ASCII文本文件（而不是特殊的字处理器格式），甚至可以使用字处理器。另外，还可能有IDE选项，让您能够使用这些命令行编译器。</p>
<p>给源文件命名时，必须使用正确的后缀，将文件标识为C++文件。这不仅告诉您该文件是C++源代码，还将这种信息告知编译器（如果UNIX编译器显示信息“bad magic number”，则表明后缀不正确）。后缀由一个句点和一个或多个字符组成，这些字符被称作扩展名（参见图1.4）。<br /><a href="https://yqfile.alicdn.com/35238dfa81be4d92f4d0e37444a62e97295bcc8b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM1MjM4ZGZhODFiZTRkOTJmNGQwZTM3NDQ0YTYyZTk3Mjk1YmNjOGIucG5n.jpg"></a></p>
<p>使用什么扩展名取决于C++实现，表1.1列出了一些常用的扩展名。例如，spiffy.C是有效的UNIX C++源代码文件名。注意，UNIX区分大小写，这意味着应使用大写的C字符。实际上，小写c扩展名也有效，但标准C才使用小写的c。因此，为避免在UNIX系统上发生混淆，对于C程序应使用c，而对于C++程序则请使用C。如果不在乎多输入一两个字符，则对于某些UNIX系统，也可以使用扩展名cc和cxx。DOS比UNIX稍微简单一点，不区分大小写，因此DOS实现使用额外的字母（如表1.1所示）来区别C和C++程序。</p>
<p><a href="https://yqfile.alicdn.com/3470bde1580f9f56f2d2c87ed3f5a05673bbf733.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM0NzBiZGUxNTgwZjlmNTZmMmQyYzg3ZWQzZjVhMDU2NzNiYmY3MzMucG5n.jpg"></a></p>
<h3>1.4.2 编译和链接</h3>
<p>最初，Stroustrup实现C++时，使用了一个C++到C的编译器程序，而不是开发直接的C++到目标代码的编译器。前者叫做cfront（表示C前端，C front end），它将C++源代码翻译成C源代码，然后使用一个标准C编译器对其进行编译。这种方法简化了向C的领域引入C++的过程。其他实现也采用这种方法将C++引入到其他平台。随着C++的日渐普及，越来越多的实现转向创建C++编译器，直接将C++源代码生成目标代码。这种直接方法加速了编译过程，并强调C++是一种独立（虽然有些相似）的语言。</p>
<p>编译的机理取决于实现，接下来的几节将介绍一些常见的形式。这些总结概括了基本步骤，但对于具体步骤，必须查看系统文档。</p>
<p>1．UNIX编译和链接<br />
最初，UNIX命令CC调用cfront，但cfront未能紧跟C++的发展步伐，其最后一个版本发布于1993年。当今的UNIX计算机可能没有编译器、有专用编译器或第三方编译器，这些编译器可能是商业的，也可能是自由软件，如GNU g++编译器。如果UNIX计算机上有C++编译器，很多情况下命令CC仍然管用，只是启动的编译器随系统而异。出于简化的目的，读者应假设命令CC可用，但必须认识到这一点，即对于下述讨论中的CC，可能必须使用其他命令来代替。</p>
<p>请用CC命令来编译程序。名称采用大写字母，这样可以将它与标准UNIX C编译器cc区分开来。CC编译器是命令行编译器，这意味着需要在UNIX命令行上输入编译命令。</p>
<p>例如，要编译C++源代码文件spiffy.C，则应在UNIX提示符下输入如下命令：</p>
<pre><code>CC spiffy.C

</code></pre>
<p>如果由于技巧、努力或是幸运的因素，程序没有错误，编译器将生成一个扩展名为o的目标代码文件。在这个例子中，编译器将生成文件spiffy.o。</p>
<p>接下来，编译器自动将目标代码文件传递给系统链接程序，该程序将代码与库代码结合起来，生成一个可执行文件。在默认情况下，可执行文件为a.out。如果只使用一个源文件，链接程序还将删除spiffy.o文件，因为这个文件不再需要了。要运行该程序，只要输入可执行文件的文件名即可：</p>
<pre><code>a.out
</code></pre>
<p>注意，如果编译新程序，新的可执行文件a.out将覆盖已有的a.out（这是因为可执行文件占据了大量空间，因此覆盖旧的可执行文件有助于降低存储需求）。然而，如果想保留可执行文件，只需使用UNIX的mv命令来修改可执行文件的文件名即可。</p>
<p>与在C语言中一样，在C++中，程序也可以包含多个文件（本书第8～第16章的很多程序都是这样）。在这种情况下，可以通过在命令行上列出全部文件来编译程序：</p>
<pre><code>CC my.C precious.C

</code></pre>
<p>如果有多个源代码文件，则编译器将不会删除目标代码文件。这样，如果只修改了my.C文件，则可以用下面的命令重新编译该程序：</p>
<pre><code>CC my.C precious.o

</code></pre>
<p>这将重新编译my.C文件，并将它与前面编译的precious.o文件链接起来。</p>
<p>可能需要显式地指定一些库。例如，要访问数学库中定义的函数，必须在命令行中加上-lm标记：</p>
<pre><code>CC usingmath.C -lm

</code></pre>
<p>2．Linux编译和链接<br />
Linux系统中最常用的编译器是g++，这是来自Free Software Foundation的GNU C++编译器。Linux的多数版本都包括该编译器，但并不一定总会安装它。g++编译器的工作方式很像标准UNIX编译器。例如，下面的命令将生成可执行文件a.out</p>
<pre><code>g++ spiffy.cxx

</code></pre>
<p>有些版本可能要求链接C++库：</p>
<pre><code>g++ spiffy.cxx -lg++

</code></pre>
<p>要编译多个源文件，只需将它们全部放到命令行中即可：</p>
<pre><code>g++ my.cxx precious.cxx

</code></pre>
<p>这将生成一个名为a.out的可执行文件和两个目标代码文件my.o和precious.o。如果接下来修改了其中的某个源代码文件，如mu.cxx，则可以使用my.cxx和precious.o来重新编译：</p>
<pre><code>g++ my.cxx precious.o

</code></pre>
<p>GNU编译器可以在很多平台上使用，包括基于Windows的PC和在各种平台上运行的UNIX系统。</p>
<p>3．Windows命令行编译器<br />
要在Windows PC上编译C++程序，最便宜的方法是下载一个在Windows命令提示符模式（在这种模式下，将打开一个类似于MS-DOS的窗口）下运行的免费命令行编译器。Cygwin和MinGW都包含编译器GNU C++，且可免费下载；它们使用的编译器名为g++。</p>
<p>要使用g++编译器，首先需要打开一个命令提示符窗口。启动程序Cygwin和MinGW时，它们将自动为您打开一个命令提示符窗口。要编译名为great.cpp的源代码文件，请在提示符下输入如下命令：</p>
<pre><code>g++ great.cpp

</code></pre>
<p>如果程序编译成功，则得到的可执行文件名为a.exe。</p>
<p>4．Windows编译器<br />
Windows产品很多且修订频繁，无法对它们分别进行介绍。当前，最流行是Microsoft Visual C++ 2010，可通过免费的Microsoft Visual C++ 2010学习版获得。虽然设计和目标不同，但大多数基于Windows的C++编译器都有一些相同的功能。</p>
<p>通常，必须为程序创建一个项目，并将组成程序的一个或多个文件添加到该项目中。每个厂商提供的IDE（集成开发环境）都包含用于创建项目的菜单选项（可能还有自动帮助）。必须确定的非常重要的一点是，需要创建的是什么类型的程序。通常，编译器提供了很多选择，如Windows应用程序、MFC Windows应用程序、动态链接库、ActiveX控件、DOS或字符模式的可执行文件、静态库或控制台应用程序等。其中一些可能既有32位版本，又有64位版本。</p>
<p>由于本书的程序都是通用的，因此应当避免要求平台特定代码的选项，如Windows应用程序。相反，应让程序以字符模式运行。具体选项取决于编译器。一般而言，应选择包含字样“控制台”、“字符模式”或“DOS可执行文件”等选项。例如，在Microsoft Visual C++ 2010中，应选择Win32 Console Application（控制台应用程序）选项，单击Application Settings（应用程序设置），并选择Empty Project（空项目）。在C++ Builder中，应从C++ Builder Projects（C++ Builder项目）中选择Console Application（控制台应用程序）。</p>
<p>创建好项目后，需要对程序进行编译和链接。IDE通常提供了多个菜单项，如Compile（编译）、Build（建立）、Make（生成）、Build All（全部建立）、Link（链接）、Execute（执行）、Run（运行）和Debug（调试），不过同一个IDE中，不一定包含所有这些选项。</p>
<p>Compile通常意味着对当前打开的文件中的代码进行编译。<br />
Build和Make通常意味着编译项目中所有源代码文件的代码。这通常是一个递增过程，也就是说，如果项目包含3个文件，而只有其中一个文件被修改，则只重新编译该文件。<br />
Build All通常意味着重新编译所有的源代码文件。<br />
Link意味着（如前所述）将编译后的源代码与所需的库代码组合起来。<br />
Run或Execute意味着运行程序。通常，如果您还没有执行前面的步骤，Run将在运行程序之前完成这些步骤。<br />
Debug意味着以步进方式执行程序。<br />
编译器可能让您选择要生成调试版还是发布版。调试版包含额外的代码，这会增大程序、降低执行速度，但可提供详细的调试信息。<br />
如果程序违反了语言规则，编译器将生成错误消息，指出存在问题的行。遗憾的是，如果不熟悉语言，将难以理解这些消息的含义。有时，真正的问题可能在标识行之前；有时，一个错误可能引发一连串的错误消息。</p>
<p>提示：</p>
<p>改正错误时，应首先改正第一个错误。如果在标识为有错误的那一行上找不到错误，请查看前一行。<br />
需要注意的是，程序能够通过某个编译器的编译并不意味着它是合法的C++程序；同样，程序不能通过某个编译器的编译也并不意味着它是非法的C++程序。与几年前相比，现在的编译器更严格地遵循了C++标准。另外，编译器通常提供了可用于控制严格程度的选项。</p>
<p>提示：</p>
<p>有时，编译器在不完全地构建程序后将出现混乱，它显示无法改正的、无意义的错误消息。在这种情况下，可以选择Build All，重新编译整个程序，以清除这些错误消息。遗憾的是，这种情况和那些更常见的情况（即错误消息只是看上去无意义，实际上有意义）很难区分。<br />
通常，IDE允许在辅助窗口中运行程序。程序执行完毕后，有些IDE将关闭该窗口，而有些IDE不关闭。如果编译器关闭窗口，将难以看到程序输出，除非您眼疾手快、过目不忘。为查看输出，必须在程序的最后加上一些代码：<br /><a href="https://yqfile.alicdn.com/e451d004c888276d52473a3f1d5743f4f60dce22.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2U0NTFkMDA0Yzg4ODI3NmQ1MjQ3M2EzZjFkNTc0M2Y0ZjYwZGNlMjIucG5n.jpg"></a></p>
<p>cin.get( )语句读取下一次键击，因此上述语句让程序等待，直到按下了Enter键（在按下Enter键之前，键击将不被发送给程序，因此按其他键都不管用）。如果程序在其常规输入后留下一个没有被处理的键击，则第二条语句是必需的。例如，如果要输入一个数字，则需要输入该数字，然后按Enter键。程序将读取该数字，但Enter键不被处理，这样它将被第一个cin.get( )读取。</p>
<p>5．Macintosh上的C++<br />
当前，Apple随操作系统Mac OS X提供了开发框架Xcode，该框架是免费的，但通常不会自动安装。要安装它，可使用操作系统安装盘，也可从Apple网站免费下载（但需要注意的是，它超过4GB）。Xcode不仅提供了支持多种语言的IDE，还自带了两个命令行编译器（g++和clang），可在UNIX模式下运行它们。而要进入UNIX模式，可通过实用程序Terminal。</p>
<p>提示：</p>
<p>为节省时间，可对所有示例程序使用同一个项目。方法是从项目列表中删除前一个示例程序的源代码文件，并添加当前的源代码。这样可节省时间、工作量和磁盘空间。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 04:44:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6%e5%8f%b0/" title="控制台">控制台</a>, <a href="https://www.iamivan.net/tag/unix/" title="Unix">Unix</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《C++ Primer Plus（第6版）中文版》——1.4 程序创建的技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZQ74p.html" rel="bookmark">（六十二）第四章总结&mdash;&mdash;《C&plus;&plus; Primer Plus  第6版  中文版》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				书是&lt;C++ Primer Plus  第6版  中文版&gt; 数组.指针.结构 是C++的3种复合类型.   注:为了方便,类型名用int为主,变量名用a为主.   数组: 包括数组(例如int a[10];)和字符串(例如char a[10];),还有string类(例如string a=&quot;abc&quot;;),vector类(例如vector&lt;int&gt;a(5)).array类(array&lt;int,3&gt;a)等. 数组名表示数组所在的(第一个元素)内存地址.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXa6Vz.html" rel="bookmark">求大神解答一下-C&plus;&plus; primer plus 第6版 中文版 第16章复习题的一个问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++ primer plus 第6版 中文版 第16章复习题的一个问题 奇葩的是课后居然没答案...... 求正规.严谨.简洁的标准答案! 程序清单16.15(在p708页):functor.cpp //functor.cpp--using a functor #include尖括号iostream尖括号 #include尖括号list尖括号 #include尖括号iterator尖括号 #include尖括号algorithm尖括号 template//functor class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPKy8p.html" rel="bookmark">【转】c&plus;&plus;&period;primer&period;plus&period;第五版&period;中文版&lbrack;下载&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c++.primer.plus.第五版.中文版[下载] 一共有5部分.全部下载完才可解压阅读. c++.primer.plus.第五版.中文版(一) c++.primer.plus.第五版.中文版(二) c++.primer.plus.第五版.中文版(三) c++.primer.plus.第五版.中文版(四) c++.primer.plus.第五版.中文版(五) &quot;在遇到无法解决的问题时,我总会求助于C++ Primer一书.&quot;--Bruce Eckel,&quot;编程思想&quot			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4LWPz.html" rel="bookmark">c语言-关于C Primer Plus第5版的二叉树的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于C Primer Plus第5版的二叉树的问题 //从树中删除一个项目 bool DeleteItem(const Item *pi,Tree *ptree) { Pair look; look = SeekItem( pi, ptree); //如果要删除的项目本身不存在 if(look.child == NULL) { return false; } //删除根项目 if(look.child == ptree-&gt;root) { DeleteNode(&amp;ptree-&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNNJYz.html" rel="bookmark">谁有&amp;amp&semi;amp&semi;lt&semi;&amp;amp&semi;amp&semi;lt&semi;CLR Via C&num;&amp;amp&semi;amp&semi;gt&semi;&amp;amp&semi;amp&semi;gt&semi;第三版中文版的电子书</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 谁有&lt;&lt;CLRViaC#&gt;&gt;第三版中文版的电子书,我是个初学者,看网上推荐此书的人多,想看一下,我的QQ:330784617.谢谢!! 解决方案 解决方案二:试一试我一般看英文的,虽然很少看书:(解决方案三: 解决方案四:第二版有的,想看第三版.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoYXyb.html" rel="bookmark">c&plus;&plus;的问题-c&plus;&plus;primer 第四版：在书店程序中，我们使用了加法操作符而不是复合赋值操作符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++primer 第四版:在书店程序中,我们使用了加法操作符而不是复合赋值操作符 c++primer 第四版:在书店程序中,我们使用了加法操作符而不是复合赋值操 作符将 trans 加到 total 中,为什么我们不使用复合赋 值操作符? 解决方案 先把代码贴出来看,我只看过C++ Primer Plus(第五版).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myw0PZz.html" rel="bookmark">Win7旗舰版系统提示应用程序错误代码0xc0000409的故障原因及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  问题现象,具体如下所示: 故障分析: 一般来说,出现这种情况是因为电脑误删系统文件或者是系统文件被顽固木马破坏. 解决方法: 1.下载360安全卫士,找到里面的急救箱开始急救,然后进行修复,完成后重新启动; 2.下载瑞星杀毒软件,清理一下系统,查杀一下木马,清理开机启动的错误项等; 3.用系统自带的系统还原,还原到你没有出现这次故障的时候修复(或用还原软件进行系统还原,如果进不了系统,开机按F8进入安全模式还原系统); 4.如果故障依旧,使用系统盘修复,打开命令提示符输入SFC /SCANN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRw6nqp.html" rel="bookmark">Win7旗舰版32位系统设置DNS地址的技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Win7旗舰版 早已成为用户首选的操作系统.用户使用win7系统的时候,可能有些用户并不是那么熟悉它的操作,所以笔者这里就与大家分享Win7旗舰版32位系统设置DNS地址的技巧. 1. 首先进入系统, 再点击桌面的开始菜单, 左键单击&quot;运行&quot;; 2. 在运行的窗口里面键入&quot;cmd&quot; 弹出命令行界面; 3. 在唤出的命令行界面中键入 &quot;ipconfig /all&quot; ,查看TCP/IP的所有相关配置. 4.不仅有DNS地址了, 还能看到用户的IP地址			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjwLQp.html" rel="bookmark">windows-电脑版的wap浏览器程序&lowbar;编写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 电脑版的wap浏览器程序_编写 我是新注册CSDN的学生党一名,想请教下各位,,,我想编写一个wap浏览器,目前是 编程入门,然后想问下Windows编程里面有没有wap编程的API可用,还有能在哪里找到这方面的资料?我在MSDN逛了下完全就是睁眼瞎... 解决方案 最简单的就是拖一个webbrowser控件(mfc的doc/view里面叫chtmlview) 解决方案二: 你可以在代码资源里面搜索一下啊. 解决方案三: 给你个网址http://www.w3school.com.cn/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKjGZz.html" rel="bookmark" class="title">JSP实现浏览器关闭cookies情况下的会话管理</a>
					<div>
						cookie|cookies|js|浏览器 通常,会话管理是通过服务器将 Session ID 作为一个 cookie 存储在用户的 Web 浏览器中来唯一标识每个用户会话.如果浏览器不支持 cook ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE1V9b.html" rel="bookmark" class="title">客户端经过TMG后无法FTP上传文件并提示无权限</a>
					<div>
						前几天朋友打电话说配置好TMG后,员工使用TMG代理后无法进行FTP文件上传,那么如何来取消限制FTP呢从TMG中. 产生原因: 由于TMG安装完成后默认策略禁止FTP上传功能,所以会出现报错. 处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NYG0z.html" rel="bookmark" class="title">常见病毒木马进程速查表</a>
					<div>
						本文含概了windows几乎所有常见的病毒.木马的进程名程,检查你的系统进程,看看是否中招. exe → BF Evolution Mbbmanager.exe → 聪明基因 _.exe → Tryi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kEqRz.html" rel="bookmark" class="title">excel六大冷门快捷键</a>
					<div>
						  excel六大冷门快捷键           1.ctrl+1(数字1) 上榜理由:在编辑数字格式时,最常用的就是单元格格式窗口,按ctrl+1比右键 - 设置单元格格式快的多. 2 pgup或p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwgQkz.html" rel="bookmark" class="title">win7系统怎么关闭360安全卫士的高危漏洞提示</a>
					<div>
						  win7系统怎么关闭360安全卫士的高危漏洞提示             1.打开360安全卫士,并点击设置选项; 2.打开设置后,我们在左边的设置列表中找到&quot;弹窗设置&quot;,点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2ma5p.html" rel="bookmark" class="title">WPS 2012转换PDF文件</a>
					<div>
						金山办公软件近期发布的WPS Office 2012办公软件秉承了WPS一贯轻巧灵快.安装便捷的特点,深度兼容微软Office,其采用的Windows 7风格的新界面,赋予用户焕然一新的视觉享受.另外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balA2mz.html" rel="bookmark" class="title">光影魔术手包围曝光三合一有什么用</a>
					<div>
						  光影魔术手的包围曝光三合一功能就是完成把三张不同曝光量的照片合成为一张高宽容度照片的工作的.利用此功能得到的照片,不仅暗部细节更丰富,亮部的层次感也会更强.当然,用户也可以事先通过相机的包围曝光功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o9m0b.html" rel="bookmark" class="title">Win8系统下IE11同步WP浏览器书签的方法</a>
					<div>
						如今用手机上网已经是家常便饭的事情,因而用户便希望在手机浏览器上收藏的书签也能够在电脑端的浏览器上查看.今天,小编就介绍一下如何同步Win8系统IE11浏览器和WP8浏览器上收藏的书签. 需要使用相同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY5qKM.html" rel="bookmark" class="title">Win9什么时候出？</a>
					<div>
						  最近有电脑小白朋友,问小编:Win9是什么意思?为什么最近看到网上很多相关Win9是新闻.随着Win9预览版即将发布,并且Win9传闻趋于免费,因此最近几天各大IT媒体都有对Win9的大量报道,下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YkQoM.html" rel="bookmark" class="title">基于jquery扩展漂亮的CheckBox&lpar;自己编写&rpar;&lowbar;jquery</a>
					<div>
						大家都知道默认的html复选框控件样式可定义相当有限,无法满足大多用户的美观度.今天跟大家一起分享前一段时间自己编写的CheckBox控件.喜欢的朋友可以拿去使用,有什么好的建议希望你给我留言.废话不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YWmKM.html" rel="bookmark" class="title">收费系统&mdash;&mdash;问题集锦（一）</a>
					<div>
						                        1.收费系统中将查询到的数据导出为Excel候,会出现有的日期变成######                  原因:列宽不够,无法将全部内容显示出来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwgqOp.html" rel="bookmark" class="title">关于O&sol;R Mapping的思考&comma;我们应该选择什么？</a>
					<div>
						最近对ORM方面的东西感兴趣,有一些想法,想和大家讨论一下. 我觉得Hibernate应算算是一个经典且功能强大的ORM框架. 它最大的有点是,你可以完全用面向对象分析与设计(OOAD)的思想来设计好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qjd6p.html" rel="bookmark" class="title">《C程序设计新思维》一1&period;2　在Windows下编译C</a>
					<div>
						1.2 在Windows下编译C 在多数系统中,C享有一个中心的.贵宾礼遇的地位,以至于所有其他工具都处于从属的地位:但是在Windows机器中,C语言却被奇怪地忽略了. 所以我不得不花点时间讨论如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z2G5p.html" rel="bookmark" class="title">ACE reactor模式里忽略SIGPIPE</a>
					<div>
						问题描述 ACE reactor模式里忽略SIGPIPE I haved googled ,and find 3 methords to ignore SIGPIPE, but they are no ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKLkYb.html" rel="bookmark" class="title">tsung测试文件是否合理</a>
					<div>
						问题描述 tsung测试文件是否合理 请问一下,下面是我用tsung压测tigase的配置文件内容和结果,请问这样的配置可以吗,结果是否是正常的 &lt;?xml version=&quot;1.0& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRmA8b.html" rel="bookmark" class="title">ThinkPHP v3&period;1开发框架新特性：Ajax支持完善</a>
					<div>
						3.1对AJAX的支持更加完善了,表现在: 判断AJAX方式改进 现在可以直接使用常量IS_AJAX来判断是否AJAX方式请求,用来取代之前的http://www.aliyun.com/zixun/a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLvK8p.html" rel="bookmark" class="title">比较与众不同的个人办公助手&lpar;&period;Net WinForm&rpar;</a>
					<div>
						问题描述 http://www.golongsoft.com/downloads/officeone_net2.0.rar这是一个基于WinForm的个人办公助手,第一是为了做广告,第二是希望得到一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRnmRp.html" rel="bookmark" class="title">笔记 - 6、HTML - 框架--frameset</a>
					<div>
						HTML·框架:要在HTML中使用框架,必须先要删除body标签.然后在页面中添加&lt;frameset&gt;&lt;/frameset&gt;标签.      frameset的属性:      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkvXDM.html" rel="bookmark" class="title">请问ps路径工具相对于画笔工具而言的最大优势是什么？</a>
					<div>
						问题描述 请问ps路径工具相对于画笔工具而言的最大优势是什么? 感觉路径工具主要不是直接的进行画图,而是先画路径边缘,再填充, 而画笔工具是直接作图. 好像路径工具相比画笔工具,并没有很大的优势啊?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60rvXz.html" rel="bookmark" class="title">C&num;调用C&plus;&plus;的dll，C&num;中的类型为string&lbrack;&rsqb;，C&plus;&plus;中的类型为char&ast;&ast;，怎样把C&num;中的string&lbrack;&rsqb;传到C&plus;&plus;中的char&ast;&ast;？</a>
					<div>
						问题描述 C#:[DllImport(&quot;CalIsolatedSpan.dll&quot;,CallingConvention=CallingConvention.Cdecl)]public ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj83r0p.html" rel="bookmark" class="title">求解答-下面代码中第一个cout加上std&colon;可以  为什么后面的家std：就不行？？</a>
					<div>
						问题描述 下面代码中第一个cout加上std:可以 为什么后面的家std:就不行?? #include &quot;stdafx.h&quot; #include //#include #includ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLxo6M.html" rel="bookmark" class="title">谁有ssh整合的项目？</a>
					<div>
						问题描述 谁有ssh整合项目,最新版的?给我发一份 问题补充: 什么数据库的?我的是mysql高级java工程师 写道 解决方案 mysql的,你先加我QQ解决方案二:加我QQ:503229799,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j6eRp.html" rel="bookmark" class="title">关于这个构造函数的问题，谢谢！</a>
					<div>
						问题描述 voidBindName(){string_id=Request.QueryString[&quot;ID&quot;].ToString();stringsql=&quot;SELECTN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N13Xp.html" rel="bookmark" class="title">云计算让我们将一切都交给互联网</a>
					<div>
						本文讲的是云计算让我们将一切都交给互联网,[IT168 资讯]所有的应用程序都在变得越来越大,这不禁让我们怀念起盖茨&quot;用户只需要640K内存&quot;的时代.这是1989年盖茨谈及计算机科 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DXOab.html" rel="bookmark" class="title">Unicode编码解码在线转换工具</a>
					<div>
						Unicode编码解码在线转换工具 Unicode 是基于通用字符集(Universal Character Set)的标准来发展,并且同时也以书本的形式(The Unicode Standard,目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N9jgp.html" rel="bookmark" class="title">乐视网战略入股重庆有线</a>
					<div>
						晨报讯(记者 韩元佳)近日因广电总局下发监管令而与牌照方合作遭遇危机的乐视网动作频频.经历股票复牌首日大涨后,乐视网(300104)昨日再度发布公告,称将战略入股重庆广电控股的重庆有线,并共同出资成立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdv03z.html" rel="bookmark" class="title">vbscript-Office2010中VBScript删除其中一个Sheet之后无法生成Excel</a>
					<div>
						问题描述 Office2010中VBScript删除其中一个Sheet之后无法生成Excel 问题如下: Office 2010版本 操作语言是VBScript 建立Excel的时候默认有3个Shee ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G8d3M.html" rel="bookmark" class="title">Tomcat&plus;redis&plus;nginx配置</a>
					<div>
						为客户开发的一个绩效系统,采用了java web的开发方式,使用了一些spring mvc, mybatis之类的框架.相比于oracle ebs的二次开发,这种开发更加灵活,虽然和ebs集成的时候遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBZxkb.html" rel="bookmark" class="title">中国电信北京研究院 孙琼：中国电信的SDN应用与实践初探</a>
					<div>
						2016年6月2日,&quot;2016全球SDNFV技术大会&quot;进入了第二天.作为连续举办三届的SDN/NFV技术与产业盛会,本届大会着眼于SDN /NFV的实践应用与部署,从SDN/NFV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ODmPb.html" rel="bookmark" class="title">---------------------》请教鼠标滚轮事件的模拟方法《-------------------</a>
					<div>
						问题描述 mouseWheel()只支持Y轴方向的移动.有没有更好的方法能够同时支持X轴和Y轴方向的滚动 解决方案 解决方案二:X轴用move()试试解决方案三:翻开jdk原代码,好好看看.解决方案四 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
